<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
	<title>サンプルテンプレート</title>
    <meta name="description" content="サンプルテンプレート">
    <meta name="keywords" content="レストラン,フレンチ,原宿">
    <meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no">
    <link href="css/reset.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="js/jquery.js"></script>
</head>
<body>

<hr>
<h1>通常の配列</h1>
<?php
	//$array_fruitsを配列にします。
	$array_fruits = array("バナナ", "りんご", "みかん");
	//for文で出力します。
	for($a = 0;$a<=2;$a++){
		echo $array_fruits[$a];
		//$array_fruits[0]というように[]の中の数字で何番目のデータを出力するかを決めます。
		//$array_fruits[$a]とすることで、連番で数字が入ります。
	};
?>
<hr>	
<h1>多次元配列</h1>
<?php
	//今回は例として、2人のプロフィールが入った配列を用意します。
	//$array_profileを配列にします。
	$array_profile = [
		//まず第一階層に「datatype」「1」「2」の3つの入れ物を用意します。
		//datatypeにはuserdataという文字列を入れました。
		"datatype" => "userdata",
		//1は、今回の場合、1人目のデータという意味で使っています。
		//1の中には名前(name)、スキル(skill),年齢(age)の3つのデータを入れます。
		"1" => array(
			"name" => "山田",
			"skill" => "デザイン",
			"age" => "24"
		),
		//2は、今回の場合、2人目のデータという意味で使っています。
		//2の中にも名前(name)、スキル(skill),年齢(age)の3つのデータを入れます。
		"2" => array(
			"name" => "ささき",
			"skill" => "プログラミング",
			"age" => "28"
		)
	];
	//いくつのデータが入っているか、カウントしています。
	$array_count = count($array_profile);
?>
	
	
<ul>
<?php
	//データの回数分、カウントします。
	//配列のカウントは0から始まります。
	//それに対して、1からスタートすることで最初の1つのデータ(datatype)をスキップします。
	//こうすると「1」と「2」のプロフィールだけ表示されます。
	for($i = 1; $i < $array_count; $i++){
		echo "<li>";
		echo "■ユーザーデータ".$i;
		echo "<br>";
		//$array_profile[何番目のデータか][n番目のどのデータを取得するか];
		//これで、配列のデータが取得できます。
		echo "名前 :".$username = $array_profile[$i]["name"];
		echo "<br>";
		echo "スキル :".$userskill = $array_profile[$i]["skill"];
		echo "<br>";
		echo "年齢 :".$userage = $array_profile[$i]["age"];
		echo "</li>";	
	};
?>
</ul>

</body>
</html>